
Figure - Bug #118180
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】在桌面上点击网易云音乐无法打开该应用
2023-05-23 14:44 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause:

Description

【测试步骤】

通过应用宝下载安装“网易云音乐”，在桌面上点击“网易云音乐”图标

【预期结果】

以小窗形式打开“网易云音乐”

【测试结果】

未打开网易云音乐，进入recent页显示异常

备注：通过应用宝下载安装，版本8.9.91

Related issues:

Related to Figure - Bug # 118878: 【EVT】【AF】【副屏】【原神】打开原神黑屏 New 2023-06-21

Related to Figure - Bug # 118835: 【VC1】【0110】【实车】【EE环境】【副... CLOSED 2023-06-19

History

#1 - 2023-05-23 17:13 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

小窗相关，请帮忙解析

#2 - 2023-05-23 18:18 - CD FW-鲁凯峰

从日志看是启动的时候网易云音乐的进程挂了

05-23 06:49:29.459  1527  2061 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.netease.cloudmusic/.activity.IconChangeDefaultAlias} from uid 10075

05-23 06:49:30.219  8015  8015 I auditd  : type=1400 audit(0.0:8095): avc: denied { ptrace } for comm="ease.cloudmusic" scontext=u:r:zygote:s0

tcontext=u:r:untrusted_app_29:s0:c125,c256,c512,c768 tclass=process permissive=1 app=com.netease.cloudmusic

05-23 06:49:30.326  1527  1667 I ActivityManager: Start proc 8147:com.netease.cloudmusic:browser/u0a125 for service

{com.netease.cloudmusic/com.netease.cloudmusic.module.webview.BrowserPreService}
05-23 06:49:30.344  1527  1725 I ActivityManager: Process com.netease.cloudmusic (pid 8015) has died: fg  TOP

挂了的原因看起来有点像是selinux权限的问题, zygote进程没有untrusted_app_29类型的process的ptrace权限

还需要在进一步分析com.netease.cloudmusic挂掉的原因

#3 - 2023-05-25 19:31 - CD FW-鲁凯峰

- File device-2023-05-25-192732.mp4 added

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Need_Info changed from -- to TEST

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103上测试不复现

通过以下步骤测试,网易云音乐可以正常以小窗形式打开

【测试步骤】

通过应用宝下载安装“网易云音乐”，在桌面上点击“网易云音乐”图标

请提供更加详细的测试步骤或者前提条件,如果不复现,请关闭该问题

#4 - 2023-05-29 14:46 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD FW-鲁凯峰

通过应用宝下载安装后，点击打开弹出权限申请同意后app关闭，再次点击无法打开该应用

#5 - 2023-05-30 17:01 - CD FW-鲁凯峰

权限的问题,已经在编译版本验证

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230529/202305291725-4048

问题不是必现的,上面的版本已经发给测试帮忙验证了

#6 - 2023-06-01 09:46 - 物联网测试组_CDTS  唐霞 

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230529/202305291725-4048版本验证，该问题还是存在刷机后安装是可以正常打开的，卸载

重装后又无打卡了

#7 - 2023-06-01 19:28 - CD FW-鲁凯峰

初步判断和网易云使用的版本有关系

NeteaseCloudMusic_Music_official_8.9.80.230427170413_3264.apk 可以正常使用
升级之后的版本不能正常打开

NeteaseCloudMusic_Music_official_8.9.90.230517230631_3264.apk

目前还在分析中

#8 - 2023-06-02 18:26 - CD FW-鲁凯峰

准备推不解,和Security组确认后,添加selinux权限的风险太大,不建议修改

#9 - 2023-06-25 10:05 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

从Bug#118835看,在最新的实车环境下,网易云崩溃的问题是由于自己原因造成,需要网易云自己去处理

https://share.thundersoft.com/redmine/issues/118835#change-554456

#10 - 2023-07-06 10:52 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

网易云应用版本问题，更新最新版本后打开正常，关闭问题单

#11 - 2023-07-06 10:53 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-06 10:53 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

523.txt 6.15 MB 2023-05-23 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230523-144335.mp4 5.65 MB 2023-05-23 物联网测试组_CDTS  唐霞 

device-2023-05-25-192732.mp4 22.8 MB 2023-05-25 CD FW-鲁凯峰
